<template>
  <div id="app">
    <div v-if="welcome" class="app">
      <div class="app-top">
        <div class="wrap-image container">
          <img src="@/assets/images/logo.png" alt="">
          <img style="width: 213px" src="@/assets/images/logo-txt.svg" alt="">
        </div>
      </div>
      <div class="app-bot container">
        <h1>Добро пожаловать!</h1>
        <h3>Открой новые<br>возможности рекламы</h3>
        <Button @click.native="startApp" text="Начать" large arrow/>
      </div>
    </div>
    <router-view v-else/>
    <div v-if="!welcome" class="nav">
      <router-link :to="{name: 'home'}" class="nav-wrap">
        <img v-if="routeName !== 'home'" src="./assets/images/nav/main.svg" alt="">
        <img v-else src="./assets/images/nav/main-active.svg" alt="">
        <p :class="{'active': routeName === 'home'}">Главная</p>
      </router-link>
      <router-link :to="{name: 'favorites'}" class="nav-wrap">
        <img v-if="routeName !== 'favorites'" src="./assets/images/nav/favorites.svg" alt="">
        <img v-else src="./assets/images/nav/favorites-active.svg" alt="">
        <p :class="{'active': routeName === 'favorites'}">Избранное</p>
      </router-link>
      <router-link :to="{name: 'place-ad'}" class="nav-wrap-add blue">
        <img src="./assets/images/nav/add.svg" alt="">
        <p>Разместить</p>
      </router-link>
      <router-link :to="{name: 'notice'}" class="nav-wrap">
        <img v-if="routeName !== 'notice'" src="./assets/images/nav/notification.svg" alt="">
        <img v-else src="./assets/images/nav/notification-active.svg" alt="">
        <p :class="{'active': routeName === 'notice'}">Уведомления</p>
      </router-link>
      <router-link :to="{name: 'my-profile'}" class="nav-wrap">
        <img v-if="routeName !== 'my-profile'" src="./assets/images/nav/profile.svg" alt="">
        <img v-else src="./assets/images/nav/profile-active.svg" alt="">
        <p :class="{'active': routeName === 'my-profile'}">Профиль</p>
      </router-link>
    </div>
    <transition name="v-transition-back">
      <div v-if="!welcome && isBurger" @click.prevent="burgerActive" class="active-burger"></div>
    </transition>
    <transition name="v-transition-animate-nav">
      <div v-if="!welcome && isBurger" class="burger">
        <div class="container">
          <div class="burger-head">
            <img @click.prevent="burgerActive" src="./assets/images/icons/back.svg" alt="">
            <img style="margin-left: 65px" src="./assets/images/burger-logo.svg" alt="">
          </div>
          <div class="burger-nav">
            <router-link
              v-for="(el, i) in link"
              :key="i"
              :to="{name: el.addressName}"
              class="burger-nav-link burger-nav-link"
              @click.native="burgerActive"
            >{{el.name}}</router-link>
          </div>
          <div class="burger-auth">
            <router-link @click.native="burgerActive" :to="{name: 'auth', params: {id: 'registration'}}" class="burger-auth-reg">Регистрация</router-link>
            <router-link @click.native="burgerActive" :to="{name: 'auth', params: {id: 'login'}}">Войти</router-link>
          </div>
          <div class="burger-policy subtitle">
            <p>Политика конфидициальности</p>
          </div>
        </div>
      </div>
    </transition>
  </div>
</template>

<script>
import Button from "./components/Button";
export default {
  components: {Button},
  data () {
    return {
      welcome: true,
      isBurger: false,
      link: [
        { name: 'О нас', addressName: 'about' },
        { name: 'Обратная связь', addressName: 'feedback' },
        { name: 'FAQ', addressName: 'faq' }
      ]
    }
  },
  created () {
    this.$root.$refs.app = this
  },
  computed: {
    routeName () {
      return this.$route.name
    }
  },
  methods: {
    burgerActive () {
      // при открытии меню, нужно проверить прокрутку body
      // если крутится - открыть меню и заблокировать скролл
      if (document.body.style.overflow === '' || document.body.style.overflow === 'visible' && !this.isBurger) {
        document.body.style.overflow = 'hidden'
        this.isBurger = true
      }
      // закрыть меню, только если оно отрыто, так же включить скролл body
      else if (document.body.style.overflow === 'hidden' && this.isBurger) {
        this.isBurger = false
        document.body.style.overflow = 'visible'
      }
    },
    startApp () {
      this.welcome = false
      localStorage.welcome = false
    }
  },
  mounted() {
    if (localStorage.welcome) {
      this.welcome = false
    } else return this.welcome = true
  }
}
</script>

<style lang="scss">
@import "./assets/css/style";
#app {
  min-height: 100vh;
  max-height: 100vh;
  margin: 0 auto;
  position: relative;
}
.app {
  height: 100vh;
  max-height: 100vh;
  .app-top {
    width: 100%;
    height: 60%;
    background: linear-gradient(180deg, #408FE6 0%, #7FBEF1 100%);
    border-radius: 0 0 75px 75px;
    position: relative;
    @media (max-height: 670px) {
      height: 45%;
    }
    @media (max-height: 500px) {
      height: 50%;
    }
    .wrap-image {
      position: absolute;
      display: flex;
      flex-direction: column;
      align-items: center;
      top: calc(50% - 165px);
      left: calc(50% - 130.5px);
      &:first-child img {
        width: 159px;
        margin-bottom: 20px;
      }
      @media (max-height: 670px) {
        top: calc(50% - 135px);
        left: calc(50% - 85px);
        img {
          width: 130px!important;
        }
      }
    }
  }
  .app-bot {
    position: fixed;
    width: 100%;
    bottom: 0px;
    h1 {
      margin-bottom: 12px;
    }
    h3 {
      margin-bottom: 23px;
    }
  }
}
.nav {
  position: fixed;
  bottom: 34px;
  width: 93%;
  height: 66px;
  margin: 0 3.5%;
  display: flex;
  align-items: center;
  justify-items: center;
  justify-content: space-between;
  background: #FFFFFF;
  box-shadow: 8px 8px 20px rgba(0, 0, 0, 0.1);
  border-radius: 30px;
  padding: 10px 20px;
  font-weight: 400;
  font-size: 10px;
  line-height: 14px;
  z-index: 200;
  a {
    color: #838383!important;}
  .nav-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
    &:first-child {
      margin-right: 11px;
    }
    img {
      width: 26px;
      margin-bottom: 3px;
    }
    p.active {
      color: #25282B!important;
    }
    //svg {
    //  path {
    //    stroke:darkgrey
    //  }
    //}
  }
  .nav-wrap-add {
    display: flex;
    flex-direction: column;
    align-items: center;
    transform: translate(0, -5px);
  }
}
.active-burger {
  position: fixed;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.6);
  z-index: 1;
}
.burger {
  position: fixed;
  top: 0;
  left: 0;
  width: 321px;
  height: 100vh;
  background: #F1F2F4;
  z-index: 2;
  .container {
    .burger-head {
      margin-bottom: 40px;
    }
    .burger-nav {
      font-weight: 700;
      font-size: 20px;
      line-height: 120%;
      display: flex;
      flex-direction: column;
      .burger-nav-link {
        margin-bottom: 18px;
        color: #424242;
      }
    }
    .burger-auth {
      display: flex;
      flex-direction: column;
      font-weight: 700;
      font-size: 20px;
      a {
        color: #2B7FE2!important;
      }
      .burger-auth-reg {
        margin-bottom: 18px;
      }
      margin-bottom: 32px;
    }
    .burger-auth, .burger-policy {
      position: absolute;
      bottom: 150px;
    }
  }
}

// Анимация VUE
.v-transition-animate-nav-enter {
  transform: translateX(-350px);
  opacity: 0;
}
.v-transition-animate-nav-enter-active {
  transition: all .4s ease;
}
.v-transition-animate-nav-enter-to {
  opacity: 1;
}
.v-transition-animate-nav-leave {
  height: 50px;
  opacity: 1;
}
.v-transition-animate-nav-leave-active {
  transition: transform .4s ease, opacity .4s, height .4s .2s;
}
.v-transition-animate-nav-leave-to {
  height: 0;
  transform: translateX(-350px);
  opacity: 0;
}
.v-transition-animate-nav-move {
  transition: transform .4s;
}
// Серый фон
.v-transition-back-enter {
  opacity: 0;
}
.v-transition-back-enter-active {
  transition: all .6s ease;
}
.v-transition-back-enter-to {
  opacity: 1;
}
</style>
